### Method

# EBookContacts ContactGeo to_string

since: 3.60

#### Declaration [src]

    gboolean
    e_contact_geo_to_string (
      const EContactGeo* self,
      gchar** out_latitude,
      gchar** out_longitude
    )

#### Description [src]

Converts latitude and longitude of the `self` into string. Free the returned strings with g_free(), when no longer needed.

Note: the numbers are converted up to 6 digits after the decimal point.

Available since: 3.60

#### Parameters

`out_latitude`

  Type: `gchar**`

  Output location to store converted latitude into string.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_longitude`

  Type: `gchar**`

  Output location to store converted longitude into string.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, when the `self` contained latitude and longitude and the out arguments were populated, `FALSE` otherwise, which also means the out arguments were not modified.